=== debian/changelog ===
fcitx-qt5 (0.1.1-3ubuntu2) trusty; urgency=medium

  * Rebuild to solve a powerpc dependency problem.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 07 Mar 2014 11:43:17 +0200

fcitx-qt5 (0.1.1-3ubuntu1) trusty; urgency=medium

  * Rebuild against Qt 5.2.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 05 Mar 2014 09:53:29 +0200

fcitx-qt5 (0.1.1-3) unstable; urgency=low

  * debian/control: recommends fcitc-frontend-qt5.

 -- Aron Xu <aron@debian.org>  Mon, 07 Oct 2013 20:37:17 +0800

fcitx-qt5 (0.1.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Aron Xu <aron@debian.org>  Sun, 06 Oct 2013 17:31:49 +0800

fcitx-qt5 (0.1.1-1) experimental; urgency=low

  * Initial release (Closes: #708322).

 -- Aron Xu <aron@debian.org>  Wed, 15 May 2013 14:13:09 +0800
