## fcitx-qt5 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Gui REQUIRED)
-find_package(Qt5Widgets REQUIRED)
 find_package(Qt5DBus REQUIRED)
 include(GNUInstallDirs)
