=== debian/changelog ===
fcitx-qt5 (1.0.1-0ubuntu2) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 21:28:47 +0300

fcitx-qt5 (1.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream minor release.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 26 Mar 2015 04:45:56 +0800

fcitx-qt5 (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright
  * Bump package name to libfcitx-qt5-1.
  * Add extra-cmake-modules to B-D
  * Update install file and symbols
  * Update homepage, update description of transitional package

 -- Aron Xu <aron@debian.org>  Tue, 10 Feb 2015 01:57:55 +0800

fcitx-qt5 (0.1.2-4) experimental; urgency=medium

  * Update symbols file for arm and power architectures.

 -- Aron Xu <aron@debian.org>  Mon, 17 Nov 2014 23:02:02 +0800

fcitx-qt5 (0.1.2-3) experimental; urgency=medium

  * Allow parallel building.
  * Transit package names to libfcitx-qt5 and friends.
  * Remove unused ${shlib:Depends}.
  * Update copyright information.
  * Disable DH_VERBOSE.
  * Bump std-ver to 3.9.6
  * Add symbols file for library package.

 -- Aron Xu <aron@debian.org>  Tue, 11 Nov 2014 00:09:01 +0800
