=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: fcitx-qt5
 Section: libs
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
+               extra-cmake-modules (>= 1.4.0),
                fcitx-libs-dev (>= 1:4.2.8),
                intltool,
-               libegl1-mesa-dev,
                pkg-config,
                qtbase5-dev,
                qtbase5-private-dev
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/fcitx
+Standards-Version: 3.9.6
+Homepage: http://www.fcitx-im.org
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-qt5.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-qt5.git
 
@@ -38,12 +39,22 @@
  for Fcitx users who would like to use Qt5 applications.
 
 Package: fcitx-libs-qt5
+Architecture: all
+Section: oldlibs
+Depends: libfcitx-qt5-1 (>= ${source:Version}), ${misc:Depends}
+Recommends: fcitx-frontend-qt5
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: libfcitx-qt5-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: fcitx-libs-qt5 (<< 1.0.0)
+Replaces: fcitx-libs-qt5 (<< 1.0.0)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: fcitx-frontend-qt5
-Description: Free Chinese Input Toy of X - D-Bus client library for Qt5
+Description: Free Chinese Input Toy of X - D-Bus client libraries for Qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
  into a highly modularized, feature rich input method framework for
@@ -56,16 +67,17 @@
  with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
- This package contains the following library:
-  * libfcitx-qt5 - D-Bus client library for Qt5
+ This package contains the following libraries:
+  * libFcitxQt5DBusAddons - D-Bus Addons library for Qt5
+  * libFcitxQt5WidgetsAddons - Widgets Addons library for Qt5
 
-Package: fcitx-libs-qt5-dev
+Package: libfcitx-qt5-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: fcitx-libs-qt5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Breaks: fcitx-libs-qt5-dev
+Replaces: fcitx-libs-qt5-dev
+Depends: libfcitx-qt5-1 (= ${binary:Version}), ${misc:Depends}
 Recommends: fcitx-libs-dev
 Description: Free Chinese Input Toy of X - Devel files for libfcitx-qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
@@ -80,16 +92,16 @@
  with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
- This package provides the development files for fcitx-libs-qt5.
+ This package provides the development files of fcitx-qt5.
 
-Package: fcitx-libs-qt5-dbg
+Package: libfcitx-qt5-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Multi-Arch: same
-Depends: fcitx-libs-qt5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Breaks: fcitx-libs-qt5-dbg
+Replaces: fcitx-libs-qt5-dbg
+Depends: libfcitx-qt5-1 (= ${binary:Version}), ${misc:Depends}
 Recommends: fcitx-dbg
 Description: Free Chinese Input Toy of X - Debugging symbols for libfcitx-qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
@@ -104,4 +116,4 @@
  with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
- This package provides the debugging symbols for fcitx-libs-qt5.
+ This package provides the debugging symbols for fcitx-qt5.
