=== platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
                           Qt5::Gui
                           Qt5::DBus
                           FcitxQt5::DBusAddons
+                          XKBCommon::XKBCommon
                          )
 
 include(ECMQueryQmake)
