=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --parallel --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libfcitx-qt5-dbg
