## fcitx-qt5 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 project(fcitx-qt5)
 
-set(FcitxQt5_VERSION 1.0.0)
+set(FcitxQt5_VERSION 1.1.0)
 set(REQUIRED_QT_VERSION 5.1.0)
 
 find_package(ECM 1.4.0 REQUIRED NO_MODULE)
@@ -12,7 +12,7 @@
 include(GNUInstallDirs)
 include(FeatureSummary)
 include(GenerateExportHeader)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
@@ -29,12 +29,13 @@
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Widgets)
 find_package(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED Private)
 find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
-pkg_check_modules(FCITX_UTILS fcitx-utils REQUIRED)
-pkg_check_modules(FCITX_CONFIG fcitx-config REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
+find_package(LibIntl REQUIRED)
 
 set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/FcitxQt5)
 add_subdirectory(dbusaddons)
 add_subdirectory(widgetsaddons)
 add_subdirectory(platforminputcontext)
+add_subdirectory(guiwrapper)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
