=== debian/changelog ===
fcitx-qt5 (1.1.1-1build3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 21:59:01 -0500

fcitx-qt5 (1.1.1-1build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:47:42 -0600

fcitx-qt5 (1.1.1-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:14:36 -0500

fcitx-qt5 (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Use canonical Vcs URL.
    + Limit cmake version explicitly.
  * Drop transitional dummy package fcitx-libs-qt5.
    (real package in jessie; dummy in stretch; removed in buster)
  * Point d/watch to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 00:18:54 +0800

fcitx-qt5 (1.1.0-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 1.1.0 (Closes: #873063, #851953)
  * d/watch: change upstream url to github
  * Remove libfcitx-qt5-dbg
  * Update compat, debhelper to 10
  * Change various insecure url to https
  * Use dh_missing --fail-missing instead
  * Install fcitx-qt5-gui-wrapper
  * Bump Standards-Version to 4.1.0
  * Update symbols

 -- Shengjing Zhu <i@zhsj.me>  Mon, 28 Aug 2017 18:15:36 +0800
