=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: cmake,
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.1),
+               debhelper (>= 10),
                extra-cmake-modules (>= 1.4.0),
                fcitx-libs-dev (>= 1:4.2.8),
                intltool,
                pkg-config,
                qtbase5-dev,
-               qtbase5-private-dev
-Standards-Version: 3.9.6
-Homepage: http://www.fcitx-im.org
-Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-qt5.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-qt5.git
+               qtbase5-private-dev,
+Standards-Version: 4.1.0
+Homepage: https://www.fcitx-im.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx-qt5.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx-qt5.git
 
 Package: fcitx-frontend-qt5
 Architecture: any
@@ -36,14 +36,6 @@
  .
  This package provides the Qt5 IM Module frontend, which is necessary
  for Fcitx users who would like to use Qt5 applications.
-
-Package: fcitx-libs-qt5
-Architecture: all
-Section: oldlibs
-Depends: libfcitx-qt5-1 (>= ${source:Version}), ${misc:Depends}
-Recommends: fcitx-frontend-qt5
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
 
 Package: libfcitx-qt5-1
 Architecture: any
@@ -92,27 +84,3 @@
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
  This package provides the development files of fcitx-qt5.
-
-Package: libfcitx-qt5-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Multi-Arch: same
-Breaks: fcitx-libs-qt5-dbg
-Replaces: fcitx-libs-qt5-dbg
-Depends: libfcitx-qt5-1 (= ${binary:Version}), ${misc:Depends}
-Recommends: fcitx-dbg
-Description: Free Chinese Input Toy of X - Debugging symbols for libfcitx-qt5
- Fcitx is the Free Chinese Input Toy of X, which was initially designed
- for Chinese users, and used XIM protocol. Now it has already evolved
- into a highly modularized, feature rich input method framework for
- Unix-like platforms supporting a considerable amount of frontends,
- backends and modules.
- .
- It offers a pleasant and modern experience, with intuitive graphical
- configuration tools and customizable skins and mapping tables.
- It is highly modularized and extensible,
- with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
- pure Xlib, GTK+, or KDE, and a developer-friendly API.
- .
- This package provides the debugging symbols for fcitx-qt5.
