## fcitx-qt5 1.2.3

=== debian/changelog ===
fcitx-qt5 (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* field and use the repo under Debian
    Salsa input-method team.
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/copyright: Update upstream src url to gitlab.com project.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Oct 2018 13:58:48 -0400

fcitx-qt5 (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix FTBFS with Qt 5.11.
  * Apply "wrap-and-sort -abst".
  * debian/control: Update YunQiang Su's email address with @debian.org one.
  * Drop backported patches.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Jul 2018 11:18:04 +0800

fcitx-qt5 (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.4. (no changes needed)
  * d/patches: Backport upstream patch to fix FTBFS with Qt 5.11.
  * d/control: Fix versioned break relationship for quickphrase editor.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Apr 2018 11:08:45 +0800

fcitx-qt5 (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * Bump debhelper compat to v11.
  * d/copyright: Update information.
  * d/rules: Enable full hardening.
  * d/control: Add package fcitx-module-quickphrase-editor, migrated
    from src:fcitx.
  * d/control: Add package libfcitx-qt5-data to provide l10n files.
  * d/control: Use debian-input-method maillist in maintainer field.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 16 Feb 2018 11:13:46 +0800
